Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

## Class RemittanceLocationData1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_08.RemittanceLocationData1

    public class RemittanceLocationData1
    extends java.lang.Object

Java class for RemittanceLocationData1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RemittanceLocationData1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Mtd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}RemittanceLocationMethod2Code"/>
             <element name="ElctrncAdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max2048Text" minOccurs="0"/>
             <element name="PstlAdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}NameAndAddress16" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `elctrncAdr`
`protected RemittanceLocationMethod2Code` `mtd`
`protected NameAndAddress16` `pstlAdr`

### Constructor Summary

Constructors
`RemittanceLocationData1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getElctrncAdr()` Gets the value of the elctrncAdr property.
`RemittanceLocationMethod2Code` `getMtd()` Gets the value of the mtd property.
`NameAndAddress16` `getPstlAdr()` Gets the value of the pstlAdr property.
`void` `setElctrncAdr​(java.lang.String value)` Sets the value of the elctrncAdr property.
`void` `setMtd​(RemittanceLocationMethod2Code value)` Sets the value of the mtd property.
`void` `setPstlAdr​(NameAndAddress16 value)` Sets the value of the pstlAdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mtd

    protected RemittanceLocationMethod2Code mtd

#### elctrncAdr

    protected java.lang.String elctrncAdr

#### pstlAdr

    protected NameAndAddress16 pstlAdr

### Constructor Detail

#### RemittanceLocationData1

    public RemittanceLocationData1()

### Method Detail

#### getMtd

    public RemittanceLocationMethod2Code getMtd()

Gets the value of the mtd property.

Returns:
  possible object is `RemittanceLocationMethod2Code`

#### setMtd

    public void setMtd​(RemittanceLocationMethod2Code value)

Sets the value of the mtd property.

Parameters:
  `value` - allowed object is `RemittanceLocationMethod2Code`

#### getElctrncAdr

    public java.lang.String getElctrncAdr()

Gets the value of the elctrncAdr property.

Returns:
  possible object is `String`

#### setElctrncAdr

    public void setElctrncAdr​(java.lang.String value)

Sets the value of the elctrncAdr property.

Parameters:
  `value` - allowed object is `String`

#### getPstlAdr

    public NameAndAddress16 getPstlAdr()

Gets the value of the pstlAdr property.

Returns:
  possible object is `NameAndAddress16`

#### setPstlAdr

    public void setPstlAdr​(NameAndAddress16 value)

Sets the value of the pstlAdr property.

Parameters:
  `value` - allowed object is `NameAndAddress16`